Bug 828932 - [abrt] rhythmbox-2.96-3.fc17: strlen: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: strlen: Process /usr/bin/rhythmbox was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:be3b820f979493f04c14e444a7c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 11:13 EDT by Justin O'Brien
Modified: 2013-07-31 16:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.43 KB, text/plain)
2012-06-05 11:13 EDT, Justin O'Brien
no flags Details
File: maps (112.75 KB, text/plain)
2012-06-05 11:13 EDT, Justin O'Brien
no flags Details
File: dso_list (24.55 KB, text/plain)
2012-06-05 11:13 EDT, Justin O'Brien
no flags Details
File: build_ids (9.41 KB, text/plain)
2012-06-05 11:13 EDT, Justin O'Brien
no flags Details

  None (edit)
Description Justin O'Brien 2012-06-05 11:13:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: strlen
executable:     /usr/bin/rhythmbox
kernel:         3.3.7-1.fc17.x86_64
pid:            1581
pwd:            /home/obrieju
time:           Tue 05 Jun 2012 09:56:36 AM EDT
uid:            1000
username:       obrieju

backtrace:      Text file, 69050 bytes
build_ids:      Text file, 9635 bytes
dso_list:       Text file, 25135 bytes
maps:           Text file, 115457 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/obrieju/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x85f71 __strlen_sse2 libc.so.6 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x8a370 - librhythmbox-core.so.5 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x8a9ea rb_ext_db_key_to_store_key librhythmbox-core.so.5 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x8b837 - librhythmbox-core.so.5 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cd5e - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x5c11e - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=x60.scs.sem.earlham.edu
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/obrieju/keyring-Hxudgc
:IMSETTINGS_MODULE=none
:USER=obrieju
:USERNAME=obrieju
:MAIL=/var/spool/mail/obrieju
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/obrieju/.local/bin:/home/obrieju/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/obrieju
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1065
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/obrieju
:SHLVL=1
:LOGNAME=obrieju
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bJsdB8kl4A,guid=f55a6156026ce415b2e980f900000051
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/obrieju
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-obrieju-4SwXRG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1069,unix/unix:/tmp/.ICE-unix/1069
:SSH_AUTH_SOCK=/run/user/obrieju/keyring-Hxudgc/ssh
:GPG_AGENT_INFO=/run/user/obrieju/keyring-Hxudgc/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1581
:DESKTOP_STARTUP_ID=gnome-shell-1279-x60.scs.sem.earlham.edu-rhythmbox-0_TIME133818

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15805                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15805                15805                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/obrieju/.xsession-errors
:pos:	196891
:flags:	0102002
:2:/home/obrieju/.xsession-errors
:pos:	196891
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[23078]
:pos:	0
:flags:	02000002
:5:socket:[23080]
:pos:	0
:flags:	02004002
:6:socket:[23687]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[23688]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[23097]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[23083]
:pos:	0
:flags:	02004002
:13:/home/obrieju/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[23086]
:pos:	0
:flags:	02004002
:15:socket:[23093]
:pos:	0
:flags:	02004002
:16:/tmp/ffiBNuPwx (deleted)
:pos:	0
:flags:	0100002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:socket:[23098]
:pos:	0
:flags:	02004002
:19:socket:[23103]
:pos:	0
:flags:	02004002
:20:/home/obrieju/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:21:socket:[23104]
:pos:	0
:flags:	02004002
:22:socket:[23286]
:pos:	0
:flags:	02004002
:23:/home/obrieju/.local/share/gvfs-metadata/home-1b5dd801.log (deleted)
:pos:	0
:flags:	0100000
:24:socket:[23430]
:pos:	0
:flags:	02004002
:25:socket:[28803]
:pos:	0
:flags:	02004002
:26:socket:[97548]
:pos:	0
:flags:	04002
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:socket:[97549]
:pos:	0
:flags:	04002
:29:pipe:[97550]
:pos:	0
:flags:	02004000
:30:pipe:[97550]
:pos:	0
:flags:	02004001
:31:socket:[97553]
:pos:	0
:flags:	02004002
:32:/home/obrieju/Music/Buddhist Geeks/Episode257_Finding_the_Future_in_the_Past.mp3
:pos:	168564
:flags:	0100000
:33:socket:[97046]
:pos:	0
:flags:	02
:34:/home/obrieju/Music/Daily Giz Wiz (deleted)
:pos:	2147483647
:flags:	02304000
:35:/home/obrieju/Music/Tech News Today (deleted)
:pos:	2147483647
:flags:	02304000
:36:/home/obrieju/Music/Buddhist Geeks
:pos:	2147483647
:flags:	02304000
:37:pipe:[27734]
:pos:	0
:flags:	00
:38:/home/obrieju/Music/Buddhist Geeks/Episode256_Will_the_Real_Buddha_Please_Stand_Up.mp3
:pos:	2378053
:flags:	0100001

smolt_data:
:
:
:General
:=================================
:UUID: f1ed9d02-b8a0-49f8-8090-11ff7f7fcc2d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 2992.48
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU         L7400  @ 1.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1500
:System Memory: 1994
:System Swap: 3999
:Vendor: LENOVO
:System: 6365CTO ThinkPad X60 Tablet
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10144:6058:8215) pci, agpgart-intel, HOST/PCI, ThinkPad T60/R60 series
:(32902:10202:6058:8207) pci, i801_smbus, SERIAL, ThinkPad T60/R60 series
:(32902:10181:6058:8205) pci, ahci, STORAGE, ThinkPad T60/R60 series
:(32902:10207:6058:8204) pci, ata_piix, STORAGE, ThinkPad T60/R60 series
:(32902:10169:6058:8201) pci, None, PCI/ISA, ThinkPad T60/R60 series
:(32902:10196:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:4250:6058:8318) pci, e1000e, ETHERNET, ThinkPad X60s
:(32902:10198:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10185:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:9288:6058:8211) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10187:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10186:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10188:6058:8203) pci, ehci_hcd, USB, ThinkPad T60/R60 series
:(5772:4116:4116:1418) pci, ath5k, ETHERNET, ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
:(32902:10146:6058:8218) pci, i915, VIDEO, ThinkPad T60/R60 series
:(32902:10150:6058:8218) pci, None, VIDEO, ThinkPad T60/R60 series
:(32902:10192:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:6058:8208) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T60/R60 series
:(32902:10184:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(4480:1142:6058:8220) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad X60s
:(4480:1362:6058:8222) pci, firewire_ohci, FIREWIRE, ThinkPad X60s
:(4480:2082:6058:8221) pci, sdhci-pci, BASE, ThinkPad X60s
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_x60-lv_root / ext4 4096 4096 8983266 7330079 7240146 2252800 2099983 2099983
:/dev/sda1 /boot ext4 1024 1024 508745 423927 398327 128016 127660 127660
:/dev/mapper/vg_x60-lv_home /home ext4 4096 4096 4481791 4128793 3903923 1126080 1123091 1123091
:

var_log_messages:
:Jun  4 18:01:35 x60 kernel: [ 1961.533580] rhythmbox[2002]: segfault at 18 ip 000000378e087783 sp 00007fffc1c3c810 error 4 in librhythmbox-core.so.5.0.0[378e000000+12e000]
:Jun  4 18:01:36 x60 abrt[2012]: Saved core dump of pid 2002 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-04-18:01:35-2002 (77590528 bytes)
:Jun  5 09:56:41 x60 abrt[4861]: Saved core dump of pid 1581 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-05-09:56:36-1581 (198598656 bytes)
Comment 1 Justin O'Brien 2012-06-05 11:13:07 EDT
Created attachment 589553 [details]
File: backtrace
Comment 2 Justin O'Brien 2012-06-05 11:13:09 EDT
Created attachment 589554 [details]
File: maps
Comment 3 Justin O'Brien 2012-06-05 11:13:12 EDT
Created attachment 589555 [details]
File: dso_list
Comment 4 Justin O'Brien 2012-06-05 11:13:14 EDT
Created attachment 589556 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 16:33:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 16:39:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.